<?php

namespace Modules\Additional\Specifique\Client56\Modules\Facture\MenuContextuel;

use Helpers\Trad\ITrad;
use Helpers\Trad\Trad;
use Skeleton\Router;

class GestionMenuContextuelSpecifique
{
    /**
     *
     * @param \PDO $pdo
     * @param Itrad $trad
     * @param array<mixed> $array
     * @return array<mixed>|null
     */
    public static function gestionMenuContextuelSpecifique($pdo, Router $router, $trad, $array)
    {
        $isAffiche = new \Modules\Facture\Repository\GestionFacture($pdo);
        $isAffiche = $isAffiche->getContainsCommandeFacture($array['NUM_FACT']);
        
        if ($isAffiche == 'no') {
            return [
                'libelle' => $trad->t('Spécifique client'),
                'lien' => $router->generateUri('Specifique56.Index.menuIntermediaireFactureSpecifique', ['numFact' => $array['NUM_FACT']]),
            ];
        } else {
            return null;
        }
    }
}
